Bug 459881 - Review Request: rubygem-sqlite3-ruby - Allows Ruby scripts to interface with a SQLite3 database
Review Request: rubygem-sqlite3-ruby - Allows Ruby scripts to interface with ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 12:40 EDT by Jeroen van Meeuwen
Modified: 2008-10-30 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-08-23 12:40:52 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-sqlite3-ruby.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-sqlite3-ruby-1.2.2-1.fc10.src.rpm
Description: SQLite3/Ruby is a module to allow Ruby scripts to interface with a SQLite3 database.

rpmlint silent

koji scratch builds:

- http://koji.fedoraproject.org/koji/taskinfo?taskID=781287 (f8)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=781292 (f9)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=781314 (f10)
Comment 1 Jason Tibbitts 2008-08-30 00:15:47 EDT
A couple of comments:

Please use the macro forms consistently; either "rm" or "%{__rm}" but not both.  I'd recommend just not using them.

What's the 'pwd' for?

This appears at the end of the build:
  File listed twice: /usr/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.2/README.rdoc

The ABI dependency is missing:
  Requires: ruby(abi) = 1.8

Technically the guidelines say that BuildRequires: ruby is mandatory.  I  don't really see the point, but I'm not sure if there's some possibility that the dependencies you have already would fail to pull it in.
Comment 3 Jason Tibbitts 2008-09-02 21:34:06 EDT
My comment about macro forms was intended to be interpreted generally; either use the macro forms everywhere possible, or don't use them at all.  I'm guessing you want to just replace the two instances of "%{__install}" with "install".

This builds fine; rpmlint only complains about the spaces/tabs thing which I ignore completely.

The license seems incorrect.  The LICENSE file contains a plain 3-clause BSD license, and none of the source code seems to contain licensing information (save setup.rb, which, like a configure script, is not included in (and thus does not alter the final license) of the resulting package.  So I'd think you need License: BSD.  This is confirmed by the upstream web site.

In addition, the LICENSE file does not seem to be included in the final package.

The current version seems to be 1.2.4.  It seems to have been released soon after this package was posted for review.  Would you like to update?

There seems to be a test suite included.  Unfortunately running it requires "mocha", whatever that is; it doesn't seem to be packaged in Fedora, so I guess the test suite is currently unrunnable.

* source files match upstream:
   a0ad0e408a083d32627828e73131c2ca4f61c5eab0e35e44122cf1eab340b50d  
   sqlite3-ruby-1.2.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named and is cleanly written.
X package does not use macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
X license text is not included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   rubygem(sqlite3-ruby) = 1.2.2
   sqlite3_api.so()(64bit)
   rubygem-sqlite3-ruby = 1.2.2-2.fc10
   rubygem-sqlite3-ruby(x86-64) = 1.2.2-2.fc10
  =
   libruby.so.1.8()(64bit)
   libsqlite3.so.0()(64bit)
   ruby(abi) = 1.8
   rubygems

* %check is not present; included test suite cannot be run.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* rubygem(%{gemname}) provided.
* gems installed properly.
* gems installed to proper directory.
* gems, cache, and specifications files/directories owned properly.
Comment 4 Jason Tibbitts 2008-10-01 12:19:30 EDT
Anything happening here?
Comment 5 Jeroen van Meeuwen 2008-10-13 07:43:36 EDT
I'm packaging mocha for Fedora as well, so as soon as that is in, the tests could be enabled. I was thinking I wouldn't need to add a dep-like blocker on this review however since it's only a test.

I've made rpmlint silent on the space/tab issue as well.

Adjusted the license to "BSD"

I've uploaded a new SPEC and SRPM at:

SPEC: http://www.kanarip.com/custom/SPECS/rubygem-sqlite3-ruby.spec
SRPM: http://www.kanarip.com/custom/f9/SRPMS/rubygem-sqlite3-ruby-1.2.4-1.fc9.src.rpm
Comment 6 Jason Tibbitts 2008-10-16 15:05:28 EDT
Yes, rpmlint is silent now, the license is correct, license text is included as documentation, macro usage in the spec is consistent, and the current version is being packaged.  The new tarball matches upstream:
  62e83f90126c4085369bf388cb3d56524bac6181f0f9a2f28a65c673d1bfec3f  
  sqlite3-ruby-1.2.4.tar.gz

I agree about the tests; it would be nice to run them, but there's no point blocking this package until the requirements for the test suite are in.

APPROVED
Comment 7 Jeroen van Meeuwen 2008-10-16 18:56:22 EDT
New Package CVS Request
=======================
Package Name: rubygem-sqlite3-ruby
Short Description: Allows Ruby scripts to interface with a SQLite3 database
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC: kanarip
Comment 8 Kevin Fenzi 2008-10-19 18:54:54 EDT
cvs done.
Comment 9 Fedora Update System 2008-10-25 06:37:53 EDT
rubygem-sqlite3-ruby-1.2.4-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-sqlite3-ruby-1.2.4-1.fc8
Comment 10 Fedora Update System 2008-10-25 06:37:56 EDT
rubygem-sqlite3-ruby-1.2.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-sqlite3-ruby-1.2.4-1.fc9
Comment 11 Fedora Update System 2008-10-30 08:52:35 EDT
rubygem-sqlite3-ruby-1.2.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-10-30 08:53:40 EDT
rubygem-sqlite3-ruby-1.2.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.